Object.defineProperty(exports, "__esModule", { value: true });
/** 個別モデルのバリデーションエラーレポート群 */
class ModelValidationErrorReports {
    /**
     * コンストラクタ
     * @param model 適用するモデル
     * @param validation バリデーション情報を管理するオブジェクト
     */
    constructor(model, validation) {
        this.model = model;
        this.validation = validation;
        this.push = this.push.bind(this);
    }
    /**
     * 個別モデルのバリデーションエラーレポートを追加する
     * @param reports 個別モデルのバリデーションエラーレポート
     */
    push(...reports) {
        for (const report of reports) {
            this.validation.errors.push({ model: this.model, column: report.column, ids: report.ids, message: report.message });
        }
    }
}
exports.ModelValidationErrorReports = ModelValidationErrorReports;
//# sourceMappingURL=model_validation_error_report.js.map