export declare type SchemaTableColumnType = "string" | "number" | "boolean" | "Date";
export interface SchemaTableColumn {
    name: string;
    type: SchemaTableColumnType;
    null: boolean;
    comment?: string;
}
export declare class SchemaTable {
    name: string;
    primaryKey?: string[];
    comment?: string;
    columns: SchemaTableColumn[];
    readonly baseClassName: string;
    constructor(name: string);
    readonly tableClassName: string;
    readonly recordClassName: string;
    readonly recordColumnTypeName: string;
    readonly tableExtClassName: string;
    readonly recordExtClassName: string;
}
